﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		private ObservableCollection<Page> pages = new ObservableCollection<Page>();
		public MainPage()
		{
			InitializeComponent();
			Page page0 = new Page();
			page0.PageNumber = pages.Count;
			page0.PageContent = "Page 0 Sample Content";
			pages.Add(page0);

			Page page1 = new Page();
			page1.PageNumber = pages.Count;
			page1.PageContent = "Page 1 Sample Content";
			pages.Add(page1);
			
			this.book1.ItemsSource = pages;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			Page page = new Page();
			page.PageContent = this.textBoxPageContent.Text;
			page.PageNumber = this.pages.Count;
			this.pages.Add(page);
			this.textBoxPageContent.Text = string.Empty;
		}
	}

	public class Page
	{
		public int PageNumber { get; set; }
		public string PageContent { get; set; }
	}
}
